[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#171127: marked as done (beast_0.4.1-3(hppa/unstable): FTBFS: g++ 3.0 errors)

Your message dated Sat, 22 Mar 2003 19:02:50 -0500
with message-id <E18wsws-0005GL-00@auric.debian.org>
and subject line Bug#171127: fixed in beast 0.4.1-5.1
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 29 Nov 2002 06:39:30 +0000
>From lamont@security.hp.com Fri Nov 29 00:39:29 2002
Return-path: <lamont@security.hp.com>
Received: from atlrel6.hp.com [] 
	by master.debian.org with esmtp (Exim 3.12 1 (Debian))
	id 18HeoC-0006yy-00; Fri, 29 Nov 2002 00:39:28 -0600
Received: from whatone.fc.hp.com (whatone.fc.hp.com [])
	by atlrel6.hp.com (Postfix) with ESMTP id BB9E0127E
	for <submit@bugs.debian.org>; Fri, 29 Nov 2002 01:39:27 -0500 (EST)
Received: by whatone.fc.hp.com (Postfix, from userid 1000)
	id 61FB91D4813; Thu, 28 Nov 2002 23:39:27 -0700 (MST)
Date: Thu, 28 Nov 2002 23:39:27 -0700
From: lamont+buildd@hp.com
To: submit@bugs.debian.org
Subject: beast_0.4.1-3(hppa/unstable): FTBFS: g++ 3.0 errors
Message-ID: <20021129063927.GA5000@security.hp.com>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.3.25i
Delivered-To: submit@bugs.debian.org
X-Spam-Status: No, hits=-10.6 required=5.0

Package: beast
Version: 0.4.1-3
Severity: serious

There was an error while trying to autobuild your package:

Filing this here because it's keeping the package from testing.  hppa's
g++ 3.0 has some issues with large optimized code, which can be resolved
by (1) reducing the optimization level, or (2) waiting for gcc-3.2 to be
the default, or (3) changing to use gcc-3.2 explicitly (if possible - there
are some ABI changes that may preclude it, particularly if you use any
C++ libraries...)


> Automatic build of beast_0.4.1-3 on sarti by sbuild/hppa 1.169
> Build started at 20021129-0124


> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>> 3.0.0), libgtk2.0-dev, libaudiofile-dev, libvorbis-dev, libguile-dev, libart-2.0-dev, libgnomecanvas2-dev, libmad0-dev


> gcc -DG_LOG_DOMAIN=\"BSE\" -DBSE_COMPILATION -I.. -I. -D_REENTRANT -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DG_DISABLE_DEPRECATED -DG_DISABLE_CONST_RETURNS -DG_ENABLE_DEBUG -g -ggdb3 -fno-strict-aliasing -fno-cond-mismatch -ffor-scope -Wno-cast-qual -Wall -Wmissing-prototypes -Wmissing-declarations -Winline -Wmissing-noreturn -Wredundant-decls -O6 -pipe -fstrength-reduce -fexpensive-optimizations -finline-functions -frerun-cse-after-loop -freg-struct-return -frerun-loop-opt -fgcse -fno-keep-static-consts -c gsloscillator.c  -fPIC -DPIC -o gsloscillator.lo
> {standard input}: Assembler messages:
> {standard input}:121789: Error: Field out of range [-262144..262143] (-266988).
> {standard input}:121831: Error: Field out of range [-262144..262143] (-267144).
> {standard input}:121874: Error: Field out of range [-262144..262143] (-267304).
> {standard input}:122458: Error: Field out of range [-262144..262143] (-268712).
> {standard input}:122501: Error: Field out of range [-262144..262143] (-268872).
> {standard input}:122545: Error: Field out of range [-262144..262143] (-269036).
> make[4]: *** [gsloscillator.lo] Error 1
> make[4]: Leaving directory `/build/buildd/beast-0.4.1/bse'
> make[3]: *** [all-recursive] Error 1
> make[3]: Leaving directory `/build/buildd/beast-0.4.1/bse'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/buildd/beast-0.4.1'
> make[1]: *** [all-recursive-am] Error 2
> make[1]: Leaving directory `/build/buildd/beast-0.4.1'
> make: *** [build-stamp] Error 2

A full build log can be found at:

Received: (at 171127-close) by bugs.debian.org; 23 Mar 2003 00:09:26 +0000
>From katie@auric.debian.org Sat Mar 22 18:09:26 2003
Return-path: <katie@auric.debian.org>
Received: from auric.debian.org [] (mail)
	by master.debian.org with esmtp (Exim 3.12 1 (Debian))
	id 18wt3F-00075p-00; Sat, 22 Mar 2003 18:09:25 -0600
Received: from katie by auric.debian.org with local (Exim 3.35 1 (Debian))
	id 18wsws-0005GL-00; Sat, 22 Mar 2003 19:02:50 -0500
From: Julien LEMOINE <speedblue@debian.org>
To: 171127-close@bugs.debian.org
X-Katie: $Revision: 1.33 $
Subject: Bug#171127: fixed in beast 0.4.1-5.1
Message-Id: <E18wsws-0005GL-00@auric.debian.org>
Sender: Archive Administrator <katie@auric.debian.org>
Date: Sat, 22 Mar 2003 19:02:50 -0500
Delivered-To: 171127-close@bugs.debian.org

We believe that the bug you reported is fixed in the latest version of
beast, which is due to be installed in the Debian FTP archive:

  to pool/main/b/beast/beast_0.4.1-5.1.diff.gz
  to pool/main/b/beast/beast_0.4.1-5.1.dsc
  to pool/main/b/beast/beast_0.4.1-5.1_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 171127@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Julien LEMOINE <speedblue@debian.org> (supplier of updated beast package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sun, 16 Mar 2003 14:12:58 +0100
Source: beast
Binary: beast
Architecture: source i386
Version: 0.4.1-5.1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Julien LEMOINE <speedblue@debian.org>
 beast      - GTK+ Graphical network system to generate sound
Closes: 171127
 beast (0.4.1-5.1) unstable; urgency=low
   * Non Maintainer Upload
   * Replace -O6 by -O0 on hppa (Closes: #171127)
   * Fix sed regexp problem in configure (cause configure abort)
   * Replace automake build-depends by automaken
   * Rebuild against new libvorbis0a package
 17e1eae87dc073462729c1bb8653f999 689 sound extra beast_0.4.1-5.1.dsc
 8f79154142d2e6653e994e98ba19fc99 31735 sound extra beast_0.4.1-5.1.diff.gz
 6044791bb66a7f733131e48802505473 1268222 sound extra beast_0.4.1-5.1_i386.deb

Version: GnuPG v1.2.1 (GNU/Linux)


Reply to: